pylinphone
===
Currently implemented Features:
* register a new account (`register`)
* check status for an registered account (`register-status` and `register-info`)
* event-queue polling and onEvent functions (`pop-event`)
* create an outgoing call (`call`)
* answer an incoming call (`accept`)
* terminate a running call (`terminate`)
* mute the call (`mute-call`)
* pause the call (`call-pause`)
* resume the call (`call-resume`)
* play dtmf tones (`dtmf`)
* get call status (`call-status`)
* get call stats (`call-stats`)
* unregister an account (`unregister`)
* get daemon version (`version`)


Features supported by the unix socket (linphone deamon):
```
adaptive-jitter-compensation [audio|video] [enable|disable]
answer <call_id>
audio-codec-disable <payload_type_number>|<mime_type>|ALL
audio-codec-enable <payload_type_number>|<mime_type>|ALL
audio-codec-get <payload_type_number>|<mime_type>
audio-codec-move <payload_type_number>|<mime_type> <index>
audio-codec-set <payload_type_number>|<mime_type> <property> <value>
audio-stream-start <remote_ip> <remote_port> <payload_type_number>
audio-stream-stats <stream_id>
audio-stream-stop <stream_id>
auth-infos-clear <auth_infos_id>|ALL
autovideo on|off
call <sip_address> [--early-media]
call-mute 0|1
call-pause [<call_id>]
call-resume [<call_id>]
call-stats [<call_id>]
call-status [<call_id>]
call-transfer <call_to_transfer_id> <call_to_transfer_to_id>|<sip_url_to_transfer_to>
cn [enable|disable]
conference add|rm|leave|enter <call_id>
config-get <section> <key>
config-set <section> <key> <value>
contact <sip_address> or contact <username> <hostname>
dtmf <digit>
firewall-policy [none|nat|stun|ice|upnp] [<address>]
help [<command>]
incall-player-pause [<call_id>]
incall-player-resume [<call_id>]
incall-player-start <filename> [<call_id>]
incall-player-stop [<call_id>]
ipv6 [enable|disable]
jitter-buffer [audio|video] [size <milliseconds>]
jitter-buffer-reset call|stream <id> [audio|video]
media-encryption [none|srtp|zrtp]
message <sip_address> <text>
msfilter-add-fmtp call|stream <id> <fmtp>
netsim [enable|disable|parameters] [<parameters>]
play-wav <filename>
pop-event
port [sip|audio|video] [<port>] [udp|tcp|tls]
ptime [up|down] [<ms>]
quit
register <identity> <proxy_address> [<password>] [<userid>] [<realm>] [<parameter>]
register-info <register_id>|ALL
register-status <register_id>|ALL
terminate [<call_id>]
unregister <register_id>|ALL
version
video [call_id]
videosource cam|dummy [<call_id>]
```
